Support » Plugin: Gutenberg Blocks by WordPress Download Manager » The 1.2.8 update breaks the post editor

  • Resolved chichi2015

    (@chichi2015)


    Hello,

    Today I updated the plugin to 1.2.8 but the post editor completely breaks. By “break” I mean the right-side toolbar disappears, the title and content do not show.

    I disable the plugin and the editor comes to normal.

    Please fix that.

    Thank you!

    PS> The Google DevTools show the following errors (both relate to wpdm block):

    (1) Uncaught ReferenceError: posts is not defined
    at posts.js?ver=5.2.4:25

    (2) react-dom.min.js?ver=16.8.4:117 ReferenceError: layoutIcon is not defined
    at WPDM_GB_Sidebar.render (sidebar.js?ver=5.2.4:96)
    at ce (react-dom.min.js?ver=16.8.4:98)
    at qg (react-dom.min.js?ver=16.8.4:97)
    at hi (react-dom.min.js?ver=16.8.4:104)
    at Qg (react-dom.min.js?ver=16.8.4:144)
    at Rg (react-dom.min.js?ver=16.8.4:145)
    at Sc (react-dom.min.js?ver=16.8.4:158)
    at Z (react-dom.min.js?ver=16.8.4:156)
    at Kc (react-dom.min.js?ver=16.8.4:155)
    at ya (react-dom.min.js?ver=16.8.4:153)

Viewing 8 replies - 1 through 8 (of 8 total)
  • Plugin Contributor Shafayat Alam

    (@shafayat-alam)

    Please update to v1.2.9, everything should work fine now.

    chichi2015

    (@chichi2015)

    Thanks for your quick response!
    It works fine now.

    • This reply was modified 1 year ago by chichi2015.
    Plugin Contributor Shafayat Alam

    (@shafayat-alam)

    Hi,
    If you have some free moments, please be the first one to review our plugin. A 5* review will inspire us a lot 🙂
    https://wordpress.org/support/plugin/wpdm-gutenberg-blocks/reviews/?rate=5#new-post

    Thanks in advance 🙂

    chichi2015

    (@chichi2015)

    Hello, please check your plugin. It seems to break the WordPress editor again. I’m using the latest 1.3.1.

    Yaroslav

    (@yapechurin)

    A similar problem as with chichi2015. Plugin v1.3.1.

    ReferenceError: __ is not defined
        at WPDM_GB_Sidebar.render (my_site.com/wp-content/plugins/wpdm-gutenberg-blocks/js/libs/sidebar.js?ver=50295b97f7f2604d1a7329dcd707021f:61:28)
        at re (my_site.com/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.9.0:95:261)
        at Vg (my_site.com/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.9.0:95:54)
        at ph (my_site.com/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.9.0:217:70)
        at lh (my_site.com/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.9.0:126:409)
        at O (my_site.com/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.9.0:121:71)
        at ze (my_site.com/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.9.0:118:14)
        at my_site.com/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.9.0:53:49
        at unstable_runWithPriority (my_site.com/wp-includes/js/dist/vendor/react.min.js?ver=16.9.0:26:340)
        at Ma (my_site.com/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.9.0:52:280)
    adbowp

    (@adbowp)

    Can confirm, also receiving the same error as @yapechurin

    mattr2

    (@mattr2)

    Ok, after many hours of troubleshooting, I have nailed down the problem.

    This plugin for some reason conflicts with the Google Chrome browser for mac. I am running MacOS 10.15.1 and the updated version of Chrome.

    I don’t see the problem with any other plugins but, switching to Safari allows me to re-enable the plugin and edit pages in the Gutenberg editor. I am not sure the real reason.

    Is anyone else with these issues using Chrome also?

    I don’t see the problem with any other plugins but, switching to Safari allows me to re-enable the plugin and edit pages in the Gutenberg editor. I am not sure the real reason.

    Is anyone else with these issues using Chrome also?

    No I’m having “The editor has encountered an unexpected error.” on Chrome, Safari and Edge, tested on Win10 and MacOS 10.

    @shafayat-alam are you aware of this WordPress breaking bug?

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘The 1.2.8 update breaks the post editor’ is closed to new replies.